Package logilab :: Package common :: Package ureports :: Module text_writer :: Class TextWriter

[frames] | no frames]

# Class TextWriter

source code

    object --+
             |
    BaseWriter --+
                 |
                TextWriter

    format layouts as text
    (ReStructured inspiration but not totally handled yet)

Instance Methods

begin_format(self, layout) begin to format a layout | source code

visit_section(self, layout) display a section as text... | source code

visit_title(self, layout) | source code

visit_paragraph(self, layout) enter a paragraph | source code

visit_span(self, layout) enter a span | source code

visit_table(self, layout) display a table as text | source code

default_table(self, layout, table_content, cols_width) format a table | source code

field_table(self, layout, table_content, cols_width) special case for field table | source code

visit_list(self, layout) display a list layout as text | source code

visit_link(self, layout) add a hyperlink | source code

visit_verbatimtext(self, layout) display a verbatim layout as text (so difficult ;)... | source code

visit_text(self, layout) add some text | source code

Inherited from `BaseWriter`: `compute_content`, `end_format`, `format`, `format_children`, `get_table_content`, `write`, `writeln` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### begin_format(self, layout)

source code

    begin to format a layout

Overrides: BaseWriter.begin_format
  (inherited documentation)

### visit_section(self, layout)

source code

    display a section as text

### visit_verbatimtext(self, layout)

source code

    display a verbatim layout as text (so difficult ;)